Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.pm
Class GeneralStatusType

    java.lang.Object
      com.tibco.bpm.web.client.model.types.pm.GeneralStatusType

    public class GeneralStatusType

extends java.lang.Object

Constructor Summary
`GeneralStatusType()`

Method Summary
`long` | `getCount()`
`java.lang.String` | `getDetails()`
`java.util.Date` | `getEnd()`
`java.lang.String` | `getOperationName()`
`java.util.Date` | `getStart()`
`java.lang.String` | `getStatus()`
`java.lang.String` | `getStatusMessage()`
`void` | `setCount(long count)`
`void` | `setDetails(java.lang.String details)`
`void` | `setEnd(java.util.Date end)`
`void` | `setOperationName(java.lang.String operationName)`
`void` | `setStart(java.util.Date start)`
`void` | `setStatus(java.lang.String status)`
`void` | `setStatusMessage(java.lang.String statusMessage)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralStatusType

    public GeneralStatusType()

Method Detail

### getStatusMessage

    public java.lang.String getStatusMessage()

### setStatusMessage

    public void setStatusMessage(java.lang.String statusMessage)

### getStart

    public java.util.Date getStart()

### setStart

    public void setStart(java.util.Date start)

### getEnd

    public java.util.Date getEnd()

### setEnd

    public void setEnd(java.util.Date end)

### getDetails

    public java.lang.String getDetails()

### setDetails

    public void setDetails(java.lang.String details)

### getCount

    public long getCount()

### setCount

    public void setCount(long count)

### getOperationName

    public java.lang.String getOperationName()

### setOperationName

    public void setOperationName(java.lang.String operationName)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.